### Constructor

# Gimp Brush new

since: 2.2

#### Declaration [src]

    GimpBrush*
    gimp_brush_new (
      const gchar* name
    )

#### Description [src]

Create a new generated brush having default parameters.

Creates a new, parametric brush.

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The requested name of the new brush.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpBrush`

The brush.

The data is owned by the called function.